---@meta

---@class UCP_SC_SatValueRectPicker_C : UCP_SC_2CmpPicker_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Image_Selector UImage
---@field SatValueTex UImage
---@field CurrentHue double
---@field OnBeginChangeColor FCP_SC_SatValueRectPicker_COnBeginChangeColor
---@field OnEndChangeColor FCP_SC_SatValueRectPicker_COnEndChangeColor
local UCP_SC_SatValueRectPicker_C = {}

---@param MyGeometry FGeometry
---@param MouseEvent FPointerEvent
---@return FEventReply
UCP_SC_SatValueRectPicker_C['On Sat Value Tex Mouse Button Down 0'] = function(self, MyGeometry, MouseEvent) end
---@param NewHue double
---@param NewSat double
---@param NewValue double
---@param bUpdateHue boolean
function UCP_SC_SatValueRectPicker_C:OnUpdateComponents(NewHue, NewSat, NewValue, bUpdateHue) end
---@param NewHue double
function UCP_SC_SatValueRectPicker_C:OnUpdateHue(NewHue) end
---@param Coords FVector2D
---@param LocalSize FVector2D
function UCP_SC_SatValueRectPicker_C:UpdateColorOnDrag(Coords, LocalSize) end
---@param Cmp1 double
---@param Cmp2 double
function UCP_SC_SatValueRectPicker_C:UpdateSelectorPosition(Cmp1, Cmp2) end
---@param MyGeometry FGeometry
---@param InDeltaTime float
function UCP_SC_SatValueRectPicker_C:Tick(MyGeometry, InDeltaTime) end
---@param MyGeometry FGeometry
---@param MyPointerEvent FPointerEvent
function UCP_SC_SatValueRectPicker_C:ProcessLButtonDown(MyGeometry, MyPointerEvent) end
function UCP_SC_SatValueRectPicker_C:ProcessLButtonUp() end
---@param EntryPoint int32
function UCP_SC_SatValueRectPicker_C:ExecuteUbergraph_CP_SC_SatValueRectPicker(EntryPoint) end
function UCP_SC_SatValueRectPicker_C:OnEndChangeColor__DelegateSignature() end
function UCP_SC_SatValueRectPicker_C:OnBeginChangeColor__DelegateSignature() end


